Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.payment
Class TransactionResponse

    java.lang.Object
      com.beasys.commerce.ebusiness.payment.TransactionResponse

All Implemented Interfaces
  TransactionResponseConstants, Serializable

Deprecated See BEA Commerce product offering

    @Deprecated
    public class TransactionResponse

extends Object
implements TransactionResponseConstants, Serializable

A `TransactionResponse` is returned by the business methods of the `CreditCardService`. It provides convenient access to the date, identifier, and status of the payment as well as a handle to the persistent `PaymentTransaction` associated with the transaction identifier. Additionally, it contains all service provider results in the form of a hash table of name value pairs.

See Also
  `PaymentTransaction`, Serialized Form

Field Summary
`javax.ejb.Handle` | `paymentTransactionHandle` Deprecated See BEA Commerce product offering
`Price` | `transactionAmount` Deprecated See BEA Commerce product offering
`Date` | `transactionDate` Deprecated See BEA Commerce product offering
`String` | `transactionId` Deprecated See BEA Commerce product offering
`int` | `transactionStatus` Deprecated See BEA Commerce product offering

Fields inherited from interface com.beasys.commerce.ebusiness.payment.TransactionResponseConstants
`ACTION, AUTHORIZATION_FAILED, AUTHORIZED, CAPTURE_ERROR, CONFIGURATION_ERROR, CREDITCARD_INVALID, EXCEPTION, FAILURE, GENERAL_SERVICE_ERROR, MARKEDFORSETTLE, NOSTATUS, OK, PENDINGSETTLE, REJECTED, RETRY, ROLLBACK, SERVICE_UNAVAILABLE_ERROR, SETTLE_ERROR, SETTLED, SETTLEFAILED, SYSTEM_ERROR`

Constructor Summary
`TransactionResponse()` Deprecated See BEA Commerce product offering

Method Summary
`Hashtable` | `getAllResults()` Deprecated See BEA Commerce product offering
`javax.ejb.Handle` | `getPaymentTransactionHandle()` Deprecated See BEA Commerce product offering
`String` | `getStatusString(int i)` Deprecated See BEA Commerce product offering
`Price` | `getTransactionAmount()` Deprecated See BEA Commerce product offering
`Date` | `getTransactionDate()` Deprecated See BEA Commerce product offering
`String` | `getTransactionId()` Deprecated See BEA Commerce product offering
`String` | `getTransactionResult(String hashKey)` Deprecated See BEA Commerce product offering
`int` | `getTransactionStatus()` Deprecated See BEA Commerce product offering
`void` | `putTransactionResult(String hashKey, String value)` Deprecated See BEA Commerce product offering
`void` | `setAllResults(Hashtable newResults)` Deprecated See BEA Commerce product offering
`void` | `setPaymentTransactionHandle(javax.ejb.Handle paymentTransactionHandle)` Deprecated See BEA Commerce product offering
`void` | `setTransactionAmount(Price transactionAmount)` Deprecated See BEA Commerce product offering
`void` | `setTransactionDate(Date transactionDate)` Deprecated See BEA Commerce product offering
`void` | `setTransactionId(String transactionId)` Deprecated See BEA Commerce product offering
`void` | `setTransactionStatus(int transactionStatus)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### transactionDate

    public Date transactionDate

  Deprecated See BEA Commerce product offering
  The date of the transaction associated with this response.

### transactionId

    public String transactionId

  Deprecated See BEA Commerce product offering
  The unique identifier for the transaction associated with this response.

### transactionStatus

    public int transactionStatus

  Deprecated See BEA Commerce product offering
  The state of the transaction associated with this response.

### transactionAmount

    public Price transactionAmount

  Deprecated See BEA Commerce product offering
  The amount of the transaction associated with this response.

### paymentTransactionHandle

    public javax.ejb.Handle paymentTransactionHandle

  Deprecated See BEA Commerce product offering
  Handle to the `PaymentTransaction` for which this response was generated.

Constructor Detail

### TransactionResponse

    public TransactionResponse()

  Deprecated See BEA Commerce product offering

  Default constructor.

Method Detail

### getTransactionDate

    public Date getTransactionDate()

  Deprecated See BEA Commerce product offering

  Get the value of transactionDate

  Returns
    transactionDate.

### setTransactionDate

    public void setTransactionDate(Date transactionDate)

  Deprecated See BEA Commerce product offering

  Set the value of transactionDate

  Parameters
    `transactionDate` - transactionDate to be added

### getTransactionId

    public String getTransactionId()

  Deprecated See BEA Commerce product offering

  Get the value of transactionId

  Returns
    transactionId.

### setTransactionId

    public void setTransactionId(String transactionId)

  Deprecated See BEA Commerce product offering

  Set the value of transactionId

  Parameters
    `transactionId` - transactionId to be added

### getTransactionStatus

    public int getTransactionStatus()

  Deprecated See BEA Commerce product offering

  Get the value of transactionStatus

  Returns
    transactionStatus.

### setTransactionStatus

    public void setTransactionStatus(int transactionStatus)

  Deprecated See BEA Commerce product offering

  Set the value of transactionStatus

  Parameters
    `transactionStatus` - transactionStatus to be added

### getTransactionAmount

    public Price getTransactionAmount()

  Deprecated See BEA Commerce product offering

  Get the value of transactionAmount

  Returns
    transactionAmount.

### setTransactionAmount

    public void setTransactionAmount(Price transactionAmount)

  Deprecated See BEA Commerce product offering

  Set the value of transactionAmount

  Parameters
    `transactionAmount` - transactionAmount to be added

### getPaymentTransactionHandle

    public javax.ejb.Handle getPaymentTransactionHandle()

  Deprecated See BEA Commerce product offering

  Get the value of paymentTransactionHandle

  Returns
    paymentTransactionHandle.

### setPaymentTransactionHandle

    public void setPaymentTransactionHandle(javax.ejb.Handle paymentTransactionHandle)

  Deprecated See BEA Commerce product offering

  Set the value of paymentTransactionHandle

  Parameters
    `paymentTransactionHandle` - paymentTransactionHandle to be added

### getTransactionResult

    public String getTransactionResult(String hashKey)

  Deprecated See BEA Commerce product offering

  Get a value from results given the key

  Returns
    String

### putTransactionResult

    public void putTransactionResult(String hashKey,
                                     String value)

  Deprecated See BEA Commerce product offering

  Set a value on results

  Parameters
    `hashKey` - hashKey to be added to results
    `value` - value to be added to results

### getAllResults

    public Hashtable getAllResults()

  Deprecated See BEA Commerce product offering

  Returns a hash table containing all service provider-specific results. This is used as a pass through so that clients can build neccessary provider specific logic.

  Returns
    All service-specific results.

### setAllResults

    public void setAllResults(Hashtable newResults)

  Deprecated See BEA Commerce product offering

### getStatusString

    public String getStatusString(int i)

  Deprecated See BEA Commerce product offering

  Converts a status code into a String representation.

  Parameters
    `i` - The status code.
  Returns
    A String representation of the status code.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved